Package: org.codehaus.groovy.ant

## [Java] Class VerifyClass

- org.codehaus.groovy.ant.VerifyClass

- Verify Class files. This task can take the following arguments:

  - dir
  When this task executes, it will recursively scan the dir and look for class files to verify.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `VerifyClass ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `execute()`
    `` | `void` | `setDir(String dir)`
    `` | `void` | `setVerbose(boolean v)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class MatchingTask`

    `createInclude, createIncludesFile, createExclude, createExcludesFile, setIncludesfile, setExcludesfile, hasSelectors, selectorCount, selectorElements, appendSelector, createPatternSet, setDefaultexcludes, addAnd, addOr, addNot, addNone, addMajority, addDate, addSize, addDifferent, addFilename, addCustom, addContains, addPresent, addDepth, addDepend, addContainsRegexp, addModified, setFollowSymlinks, XsetItems, XsetIgnore, getSelectors, addSelector, setProject, add, setCaseSensitive, addType, setExcludes, setIncludes, getTaskName, getOwningTarget, getTaskType, setTaskType, setTaskName, setOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, maybeConfigure, reconfigure, perform, bindToOwner, log, log, log, log, init, execute, setLocation, clone, getLocation, getDescription, setDescription, getProject, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

    `class Task`

    `getTaskName, getOwningTarget, getTaskType, setTaskType, setTaskName, setOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, maybeConfigure, reconfigure, perform, bindToOwner, log, log, log, log, init, execute, setProject, setLocation, clone, getLocation, getDescription, setDescription, getProject, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public VerifyClass()

  - ### Method Detail

    - #### public void execute()

    - #### public void setDir(String dir)

    - #### public void setVerbose(boolean v)